import { defineConfig, loadEnv } from "vite";
import vue from '@vitejs/plugin-vue'
import autoprefixer from 'autoprefixer';
import path from "path";
// https://vitejs.dev/config/

export default ({ mode }) =>
  defineConfig({
    base: loadEnv(mode, process.cwd()).VITE_PUBLIC_DIR,
    plugins: [vue()],
    css: {
      postcss: {
        plugins: [
          autoprefixer()
        ]
      }
    },
  
    resolve: {
      alias: {
        "@": path.resolve(__dirname, "src"),
        "##": path.resolve(__dirname, "src/assets"),
        "#": path.resolve(__dirname, "public"),

      },
    }
  });
